Summary:        A cluster synchronization tool
Name:           csync2
Version:        1.33 
Release:        4%{?dist}
Group:          Applications/System
License:        GPL
URL:            http://oss.linbit.com/csync2 
Source0:        http://oss.linbit.com/csync2/%{name}-%{version}.tar.gz
Source1:        csync2-README.fedora
Source2:        csync2-mkcert.sh

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       xinetd
BuildRequires:  sqlite2-devel, librsync-devel, bison, flex, gnutls-devel, libtasn1-devel

Patch0:         csync2-fix-xinetd.patch

%description
Csync2 is a cluster synchronization tool. It can be used to keep files on 
multiple hosts in a cluster in sync. Csync2 can handle complex setups with 
much more than just 2 hosts, handle file deletions and can detect conflicts.
It is expedient for HA-clusters, HPC-clusters, COWs and server farms.

%prep
%setup -q
%patch0 -p1 -b .fix-xinetd
%{__install} -m 644 %{SOURCE1} README.fedora


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__install} -d %{buildroot}%{_localstatedir}/lib/%{name}
%{__install} -p -D -m 644 csync2.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
%{__install} -p -D %{SOURCE2} %{buildroot}%{_docdir}/%{name}/examples/mkcert.sh

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_sbindir}/csync2
%{_sbindir}/csync2-compare
%{_mandir}/man1/csync2.1.gz
%config(noreplace) %{_sysconfdir}/csync2.cfg 
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_docdir}/%{name}/examples/mkcert.sh

%dir %{_localstatedir}/lib/%{name}
%doc README README.fedora AUTHORS COPYING paper.pdf



%changelog
* Thu Jan 25 2007 <ruben@rubenkerkhof.com> 1.33-4
- Included a README.fedora with instructions on how to create a self-signed certificate
- Included a mkcert.sh script to create a self-signed certificate
- Removed the creation of ssl certificate from the %%install section
* Wed Jan 22 2007 <ruben@rubenkerkhof.com> 1.33-3
- Fixed the xinetd file so there's no need to specify the port in /etc/services
- Create ssl certificates
* Mon Jan 22 2007 <ruben@rubenkerkhof.com> 1.33-2
- Some cleanups as per bz review 223633
* Sat Jan 20 2007 <ruben@rubenkerkhof.com> 1.33-1
- Initial import
